atk.Image
Prev | The atk Class Reference | Next

## atk.Image

atk.Image — the ATK Interface implemented by components that expose image or pixmap content on-screen.

## Synopsis

    class atk.Image(gobject.GInterface):
        def get_image_description()
        def get_image_size()
        def set_image_description(description)
        def get_image_position(coord_type)

## Description

`atk.Image` should be implemented by `atk.Object` subtypes on behalf of components which display image/pixmap information onscreen, and which provide information (other than just widget borders, etc.) via that image content. For instance, icons, buttons with icons, toolbar elements, and image viewing panes typically should implement `atk.Image`.

`atk.Image` primarily provides two types of information: coordinate information (useful for screen review mode of screenreaders, and for use by onscreen magnifiers), and descriptive information. The descriptive information is provided for alternative, text-only presentation of the most significant information present in the image.

## Methods

### atk.Image.get_image_description

        def get_image_description()

Returns : | a string representing the image description

Get a textual description of this image.

### atk.Image.get_image_size

        def get_image_size()

Returns : | a 2-tuple containing the width and height of the image

Get the width and height in pixels for the specified image. The width and height are returned as -1 if the values cannot be obtained.

### atk.Image.set_image_description

        def set_image_description(description)

`description` : | a string description to set for `image`
Returns : | True if operation could be completed.

Sets the textual description for this image.

### atk.Image.get_image_position

        def get_image_position(coord_type)

`coord_type` : | specifies whether the coordinates are relative to the screen or to the components top level window - one of the Atk Coord Type Constants
Returns : | a 2-tuple containing the x and y coordinates of the image

Gets the position of the image in the form of a point specifying the images top-left corner. The values of x and y are returned as -1 if the values cannot be obtained.

Prev | Up | Next
atk.Hypertext | Home | atk.Implementor